Index: wsdl/fedd_internal.wsdl
===================================================================
--- wsdl/fedd_internal.wsdl	(revision 3e3a5dec323959f2f05910bf4f01f493afb3c49f)
+++ wsdl/fedd_internal.wsdl	(revision 0c4b12c9dc95469be51940af31ee97a0bc6ade59)
@@ -46,10 +46,10 @@
   </message>
 
-  <message name="Ns2SplitRequestMessage">
-    <part name="Ns2SplitRequestBody" type="xsd1:ns2SplitRequestType"/>
-  </message>
-
-  <message name="Ns2SplitResponseMessage">
-    <part name="Ns2SplitResponseBody" type="xsd1:ns2SplitResponseType"/>
+  <message name="Ns2TopdlRequestMessage">
+    <part name="Ns2TopdlRequestBody" type="xsd1:ns2TopdlRequestType"/>
+  </message>
+
+  <message name="Ns2TopdlResponseMessage">
+    <part name="Ns2TopdlResponseBody" type="xsd1:ns2TopdlResponseType"/>
   </message>
 
@@ -86,5 +86,5 @@
       <fault name="ReleaseFault" message="tns:FaultMessage"/>
     </operation>
-    <operation name="Ns2Split">
+    <operation name="Ns2Topdl">
       <documentation>
 	This allows a fedd that does not have direct access to the modified ns
@@ -92,7 +92,7 @@
 	that functionality remotely.
       </documentation>
-      <input message="tns:Ns2SplitRequestMessage"/>
-      <output message="tns:Ns2SplitResponseMessage"/>
-      <fault name="Ns2SplitFault" message="tns:FaultMessage"/>
+      <input message="tns:Ns2TopdlRequestMessage"/>
+      <output message="tns:Ns2TopdlResponseMessage"/>
+      <fault name="Ns2TopdlFault" message="tns:FaultMessage"/>
     </operation>
   </portType>
@@ -169,21 +169,21 @@
 	</fault>
       </operation>
-      <operation name="Ns2Split">
-	<documentation>
-	  The bindings of this operation are straightforward SOAP RPC 1.1.
-	</documentation>
-	<soap:operation soapAction="Ns2Split"/> 
-	<input>
-	  <soap:body use="encoded" parts="tns:Ns2SplitRequestBody"
-	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</input>
-	<output>
-	  <soap:body use="encoded" parts="tns:Ns2SplitResponseBody"
-	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</output>
-	<fault name="Ns2SplitFault">
-	  <soap:fault use="encoded"  name="tns:Ns2SplitFault"
+      <operation name="Ns2Topdl">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="Ns2Topdl"/> 
+	<input>
+	  <soap:body use="encoded" parts="tns:Ns2TopdlRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="encoded" parts="tns:Ns2TopdlResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="Ns2TopdlFault">
+	  <soap:fault use="encoded"  name="tns:Ns2TopdlFault"
 	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
 	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
Index: wsdl/fedd_types.xsd
===================================================================
--- wsdl/fedd_types.xsd	(revision 3e3a5dec323959f2f05910bf4f01f493afb3c49f)
+++ wsdl/fedd_types.xsd	(revision 0c4b12c9dc95469be51940af31ee97a0bc6ade59)
@@ -573,7 +573,9 @@
       <xsd:element name="experimentdescription" 
 	type="tns:experimentDescriptionType"/>
+      <xsd:element name="service" type="tns:serviceInfoType" minOccurs="0"
+	maxOccurs="unbounded" />
       <!-- begin deprecated -->
-      <xsd:element name="master" type="xsd:string"/>
-      <xsd:element name='exportProject' type="tns:IDType"/>
+      <xsd:element name="master" type="xsd:string" minOccurs="0" maxOccurs="1"/>
+      <xsd:element name='exportProject' type="tns:IDType" minOccurs="0" maxOccurs="1"/>
       <!-- end deprecated -->
       <xsd:element name="experimentID" type="tns:IDType"/>
@@ -824,23 +826,20 @@
   </xsd:complexType>
 
-  <xsd:complexType name="ns2SplitRequestType">
-    <xsd:annotation>
-      <xsd:documentation>
-	Request to run the CEDL splitter remotely.  This is primarily an
-	internal interface.
+  <xsd:complexType name="ns2TopdlRequestType">
+    <xsd:annotation>
+      <xsd:documentation>
+	Request to run the CEDL to topdl translator remotely.  This is
+	primarily an internal interface.
       </xsd:documentation>
     </xsd:annotation>
     <xsd:sequence>
       <xsd:element name="description" type="tns:experimentDescriptionType"/>
-      <xsd:element name="master" type="xsd:string"/>
-      <xsd:element name="include_fedkit" type="xsd:boolean"/>
-      <xsd:element name="include_gatewaykit" type="xsd:boolean"/>
-    </xsd:sequence>
-  </xsd:complexType>
-
-  <xsd:complexType name="ns2SplitResponseType">
-    <xsd:annotation>
-      <xsd:documentation>
-	Remote splitter output.  Also an internal interface
+    </xsd:sequence>
+  </xsd:complexType>
+
+  <xsd:complexType name="ns2TopdlResponseType">
+    <xsd:annotation>
+      <xsd:documentation>
+	Translator splitter output.  Also an internal interface
       </xsd:documentation>
     </xsd:annotation>
